package com.bonus.core.customer.openapi.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel("查询组织信息出参")
@Data
public class OrgQueryVO {
   @ApiModelProperty("组织id")
   private Long orgId;
   @ApiModelProperty("组织编号")
   private String orgNum;
   @ApiModelProperty("组织名称")
   private String orgName;
   @ApiModelProperty("组织全称")
   private String orgFullName;
   @ApiModelProperty("组织级别")
   private Integer orgLevel;
   @ApiModelProperty("上级组织编号")
   private String superNum;
   @ApiModelProperty("上级组织id")
   private Long superId;
   @ApiModelProperty("组织负责人")
   private String orgHead;
   @ApiModelProperty("组织电话")
   private String orgTel;
   @ApiModelProperty("备注")
   private String remarks;
   @ApiModelProperty("是否删除")
   private Integer ifDel;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgName() {
      return this.orgName;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Integer getOrgLevel() {
      return this.orgLevel;
   }

   public String getSuperNum() {
      return this.superNum;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getOrgHead() {
      return this.orgHead;
   }

   public String getOrgTel() {
      return this.orgTel;
   }

   public String getRemarks() {
      return this.remarks;
   }

   public Integer getIfDel() {
      return this.ifDel;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgName(final String orgName) {
      this.orgName = orgName;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setOrgLevel(final Integer orgLevel) {
      this.orgLevel = orgLevel;
   }

   public void setSuperNum(final String superNum) {
      this.superNum = superNum;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setOrgHead(final String orgHead) {
      this.orgHead = orgHead;
   }

   public void setOrgTel(final String orgTel) {
      this.orgTel = orgTel;
   }

   public void setRemarks(final String remarks) {
      this.remarks = remarks;
   }

   public void setIfDel(final Integer ifDel) {
      this.ifDel = ifDel;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }




}
